#pragma STACK-
#pragma RANGE-
#pragma W_FUNC_PROC-

#include MKFILE.HDR

VARDEF EXTERN
   LOGICAL      use_log_file
   CHAR( 128 )  log_file
ENDDEF

 ******************************************************************************
 *                                                                            *
 *  Programm        : MKCRON V1.0                         (C) 1992 Kalkhoff   *
 *  Modul           : CRN_PROT.PRG                                            *
 *  Autor           : M.T. Kalkhoff                                           *
 *  letzte nderung : 07.09.92                                                *
 *                                                                            *
 *  Aufgabe         : Mittels der routine CRONPROTOKOLL wird ein fortlaufen-  *
 *                    des Protokoll aller Task Aufrufe erstellt.              *
 *                                                                            *
 ******************************************************************************
PROCEDURE CronProtokoll
   PARAMETERS CONST CHAR txt

   VARDEF
      INT  handle
   ENDDEF

   IF .NOT. use_log_file
      RETURN
   ENDIF

   handle = FOpen( log_file, &OPEN_READWRITE )

   IF FError()
      handle = FCreate( log_file, &CREATE_NORMAL )
   ENDIF

   FWriteLn( handle, txt, &WRITE_APPEND )
   FClose( handle )

ENDPRO